
# Remarque : (a noter quelque part)
# 
# Makefile pour l'administration de stead
# 
# Ce fichier n'est en principe nécessaire que pour les développeurs
# de stead : pour une installation voir le lisez_moi associé
# (en principe, il n'y a rien à faire :-)

#
# Cibles à prévoir :
# 
#   tgz : archive du répertoire complet de stead, avec la date
#         dans le nom
#   tbz : idem, mais compresser avec bzip2
#   arc : une des deux précédentes (valeur par défaut)
#   
#   index : regénère les indexes des librairies
#   
#   distrib (pour diam seulement) : génère une distribution avec 
#       mise à jour de mon répertoire html, de la page web...
#   
#   
#   



########################################################################
#
# Archivage du répertoire courant dans le répertoire parent
# 
arc:    tgz
arC:    tbz

# Compression avec gzip
tgz:
	# $(MAKE) clean
	date=`date +%Y%m%d-%Hh%Mmn` 			&& \
	lpath=`pwd`					&& \
	bname=`basename $$lpath`			&& \
	datename=$$bname-$$date				&& \
	cd ..						&& \
	cp -a $$bname $$datename 			&& \
	tar cf - $$datename | gzip > $$datename.tgz	&& \
	\rm -rf $$datename
	
# Compression avec bzip2
tbz:
	# $(MAKE) clean
	date=`date +%Y%m%d-%Hh%Mmn` 			&& \
	lpath=`pwd`					&& \
	bname=`basename $$lpath`			&& \
	datename=$$bname-$$date				&& \
	cd ..						&& \
	cp -a $$bname $$datename 			&& \
	tar cf - $$datename | bzip2 > $$datename.tbz	&& \
	\rm -rf $$datename
	
# Compression avec zip
zip:
	# $(MAKE) clean
	date=`date +%Y%m%d-%Hh%Mmn` 			&& \
	lpath=`pwd`					&& \
	bname=`basename $$lpath`			&& \
	datename=$$bname-$$date				&& \
	cd ..						&& \
	cp -a $$bname $$datename 			&& \
	zip -r -y -o -q -9  $$datename.zip $$datename	&& \
	\rm -rf $$datename
	
#./
